NX Open C++ Reference Guide
|
Represents a Features::TrimLineDevelopment builder
To create a new instance of this class, use Die::DieCollection::CreateTrimLineDevelopmentBuilder
Created in NX6.0.0.
More...
Public Types | |
enum | MaterialTypeName { MaterialTypeNameSteel, MaterialTypeNameAluminum } |
Indicates type of material. More... | |
enum | OutputMethodName { OutputMethodNameGeometric, OutputMethodNameCorrected, OutputMethodNameBoth } |
Indicates which trim curves to output. More... | |
enum | SmoothingName { SmoothingNameLinear, SmoothingNameCubic, SmoothingNameQuintic } |
Indicates type of curve smoothing. More... | |
Public Member Functions | |
NXOpen::ScCollector * | Addendum () |
Returns the collection of addendum faces Created in NX6.0.0. | |
bool | Associative () |
Returns the associative switch. | |
NXOpen::Expression * | BendAllowance () |
Returns the bend allowance formula. | |
void | CreateDefaultSpine () |
Creates a smoothed spine curve from the forming boundary using the spine radius value Created in NX6.0.0. | |
void | DefaultDraw () |
Creates a default draw vector by finding the least squares plane of the formed faces Created in NX6.0.0. | |
double | DistanceTolerance () |
Returns the distance tolerance. | |
NXOpen::Direction * | DrawDirection () |
Returns the draw direction. | |
NXOpen::ScCollector * | Faces () |
Returns the collection of formed faces Created in NX6.0.0. | |
NXOpen::ScCollector * | FormingBoundary () |
Returns the forming boundary Created in NX6.0.0. | |
NXOpen::Point * | LimitPoint1 () |
Returns the first limit point Created in NX6.0.2. | |
NXOpen::Point * | LimitPoint2 () |
Returns the last limit point Created in NX6.0.2. | |
NXOpen::Die::DieLimitsBuilder * | Limits () |
Returns the limits to control the span of the addendum Created in NX7.5.0. | |
NXOpen::Die::TrimLineDevelopmentBuilder::MaterialTypeName | MaterialType () |
Returns the material type - steel or aluminum Created in NX6.0.0. | |
NXOpen::Die::TrimLineDevelopmentBuilder::OutputMethodName | OutputMethod () |
Returns the curve output method - geometric, corrected or both Created in NX6.0.0. | |
NXOpen::Point * | RegionPoint () |
Returns the point in product region Created in NX6.0.0. | |
bool | RemoveLoops () |
Returns the remove loops setting. | |
int | SampleDensityIndex () |
Returns the sample density index which controls the density of the sample planes. | |
void | SetAssociative (bool associative) |
Sets the associative switch. | |
void | SetDistanceTolerance (double distTol) |
Sets the distance tolerance. | |
void | SetDrawDirection (NXOpen::Direction *punchDirection) |
Sets the draw direction. | |
void | SetLimitPoint1 (NXOpen::Point *point) |
Sets the first limit point Created in NX6.0.2. | |
void | SetLimitPoint2 (NXOpen::Point *point) |
Sets the last limit point Created in NX6.0.2. | |
void | SetMaterialType (NXOpen::Die::TrimLineDevelopmentBuilder::MaterialTypeName materialType) |
Sets the material type - steel or aluminum Created in NX6.0.0. | |
void | SetOutputMethod (NXOpen::Die::TrimLineDevelopmentBuilder::OutputMethodName outputMethod) |
Sets the curve output method - geometric, corrected or both Created in NX6.0.0. | |
void | SetRegionPoint (NXOpen::Point *regionPoint) |
Sets the point in product region Created in NX6.0.0. | |
void | SetRemoveLoops (bool removeLoops) |
Sets the remove loops setting. | |
void | SetSampleDensityIndex (int sampleDensityIndex) |
Sets the sample density index which controls the density of the sample planes. | |
void | SetSmoothing (NXOpen::Die::TrimLineDevelopmentBuilder::SmoothingName smoothing) |
Sets the curve smoothing method - linear (none), cubic or quintic Created in NX6.0.0. | |
void | SetSpineRadius (double spineRadius) |
Sets the spine radius, used by Die::TrimLineDevelopmentBuilder::CreateDefaultSpine Created in NX6.0.0. | |
NXOpen::Die::TrimLineDevelopmentBuilder::SmoothingName | Smoothing () |
Returns the curve smoothing method - linear (none), cubic or quintic Created in NX6.0.0. | |
NXOpen::ScCollector * | Spine () |
Returns the spine string, which determines the orientation of the sample planes Created in NX6.0.0. | |
double | SpineRadius () |
Returns the spine radius, used by Die::TrimLineDevelopmentBuilder::CreateDefaultSpine Created in NX6.0.0. | |
NXOpen::Expression * | Thickness () |
Returns the material thickness. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Features::TrimLineDevelopment builder
To create a new instance of this class, use Die::DieCollection::CreateTrimLineDevelopmentBuilder
Created in NX6.0.0.
NXOpen::ScCollector* NXOpen::Die::TrimLineDevelopmentBuilder::Addendum | ( | ) |
Returns the collection of addendum faces
Created in NX6.0.0.
License requirements : None
bool NXOpen::Die::TrimLineDevelopmentBuilder::Associative | ( | ) |
Returns the associative switch.
True indicates a feature should be output
Created in NX6.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Die::TrimLineDevelopmentBuilder::BendAllowance | ( | ) |
Returns the bend allowance formula.
Value should be between 0 and 1
Created in NX6.0.0.
License requirements : None
void NXOpen::Die::TrimLineDevelopmentBuilder::CreateDefaultSpine | ( | ) |
Creates a smoothed spine curve from the forming boundary using the spine radius value
Created in NX6.0.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
void NXOpen::Die::TrimLineDevelopmentBuilder::DefaultDraw | ( | ) |
Creates a default draw vector by finding the least squares plane of the formed faces
Created in NX6.0.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
double NXOpen::Die::TrimLineDevelopmentBuilder::DistanceTolerance | ( | ) |
Returns the distance tolerance.
Used for sewing sheet bodies and joining curves
Created in NX6.0.0.
License requirements : None
NXOpen::Direction* NXOpen::Die::TrimLineDevelopmentBuilder::DrawDirection | ( | ) |
Returns the draw direction.
Also points in the direction of material side of metal
Created in NX6.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Die::TrimLineDevelopmentBuilder::Faces | ( | ) |
Returns the collection of formed faces
Created in NX6.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Die::TrimLineDevelopmentBuilder::FormingBoundary | ( | ) |
Returns the forming boundary
Created in NX6.0.0.
License requirements : None
NXOpen::Point* NXOpen::Die::TrimLineDevelopmentBuilder::LimitPoint1 | ( | ) |
Returns the first limit point
Created in NX6.0.2.
License requirements : None
NXOpen::Point* NXOpen::Die::TrimLineDevelopmentBuilder::LimitPoint2 | ( | ) |
Returns the last limit point
Created in NX6.0.2.
License requirements : None
NXOpen::Die::DieLimitsBuilder* NXOpen::Die::TrimLineDevelopmentBuilder::Limits | ( | ) |
Returns the limits to control the span of the addendum
Created in NX7.5.0.
License requirements : None
NXOpen::Die::TrimLineDevelopmentBuilder::MaterialTypeName NXOpen::Die::TrimLineDevelopmentBuilder::MaterialType | ( | ) |
Returns the material type - steel or aluminum
Created in NX6.0.0.
License requirements : None
NXOpen::Die::TrimLineDevelopmentBuilder::OutputMethodName NXOpen::Die::TrimLineDevelopmentBuilder::OutputMethod | ( | ) |
Returns the curve output method - geometric, corrected or both
Created in NX6.0.0.
License requirements : None
NXOpen::Point* NXOpen::Die::TrimLineDevelopmentBuilder::RegionPoint | ( | ) |
Returns the point in product region
Created in NX6.0.0.
License requirements : None
bool NXOpen::Die::TrimLineDevelopmentBuilder::RemoveLoops | ( | ) |
Returns the remove loops setting.
True indicates loops should be removed from the output curves
Created in NX6.0.0.
License requirements : None
int NXOpen::Die::TrimLineDevelopmentBuilder::SampleDensityIndex | ( | ) |
Returns the sample density index which controls the density of the sample planes.
Value should be between 1 and 9
Created in NX6.0.0.
License requirements : None
void NXOpen::Die::TrimLineDevelopmentBuilder::SetAssociative | ( | bool | associative | ) |
Sets the associative switch.
True indicates a feature should be output
Created in NX6.0.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
associative | associative |
void NXOpen::Die::TrimLineDevelopmentBuilder::SetDistanceTolerance | ( | double | distTol | ) |
Sets the distance tolerance.
Used for sewing sheet bodies and joining curves
Created in NX6.0.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
distTol | disttol |
void NXOpen::Die::TrimLineDevelopmentBuilder::SetDrawDirection | ( | NXOpen::Direction * | punchDirection | ) |
Sets the draw direction.
Also points in the direction of material side of metal
Created in NX6.0.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
punchDirection | punchdirection |
void NXOpen::Die::TrimLineDevelopmentBuilder::SetLimitPoint1 | ( | NXOpen::Point * | point | ) |
Sets the first limit point
Created in NX6.0.2.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
point | point |
void NXOpen::Die::TrimLineDevelopmentBuilder::SetLimitPoint2 | ( | NXOpen::Point * | point | ) |
Sets the last limit point
Created in NX6.0.2.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
point | point |
void NXOpen::Die::TrimLineDevelopmentBuilder::SetMaterialType | ( | NXOpen::Die::TrimLineDevelopmentBuilder::MaterialTypeName | materialType | ) |
Sets the material type - steel or aluminum
Created in NX6.0.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
materialType | materialtype |
void NXOpen::Die::TrimLineDevelopmentBuilder::SetOutputMethod | ( | NXOpen::Die::TrimLineDevelopmentBuilder::OutputMethodName | outputMethod | ) |
Sets the curve output method - geometric, corrected or both
Created in NX6.0.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
outputMethod | outputmethod |
void NXOpen::Die::TrimLineDevelopmentBuilder::SetRegionPoint | ( | NXOpen::Point * | regionPoint | ) |
Sets the point in product region
Created in NX6.0.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
regionPoint | regionpoint |
void NXOpen::Die::TrimLineDevelopmentBuilder::SetRemoveLoops | ( | bool | removeLoops | ) |
Sets the remove loops setting.
True indicates loops should be removed from the output curves
Created in NX6.0.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
removeLoops | removeloops |
void NXOpen::Die::TrimLineDevelopmentBuilder::SetSampleDensityIndex | ( | int | sampleDensityIndex | ) |
Sets the sample density index which controls the density of the sample planes.
Value should be between 1 and 9
Created in NX6.0.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
sampleDensityIndex | sampledensityindex |
void NXOpen::Die::TrimLineDevelopmentBuilder::SetSmoothing | ( | NXOpen::Die::TrimLineDevelopmentBuilder::SmoothingName | smoothing | ) |
Sets the curve smoothing method - linear (none), cubic or quintic
Created in NX6.0.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
smoothing | smoothing |
void NXOpen::Die::TrimLineDevelopmentBuilder::SetSpineRadius | ( | double | spineRadius | ) |
Sets the spine radius, used by Die::TrimLineDevelopmentBuilder::CreateDefaultSpine
Created in NX6.0.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
spineRadius | spineradius |
NXOpen::Die::TrimLineDevelopmentBuilder::SmoothingName NXOpen::Die::TrimLineDevelopmentBuilder::Smoothing | ( | ) |
Returns the curve smoothing method - linear (none), cubic or quintic
Created in NX6.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Die::TrimLineDevelopmentBuilder::Spine | ( | ) |
Returns the spine string, which determines the orientation of the sample planes
Created in NX6.0.0.
License requirements : None
double NXOpen::Die::TrimLineDevelopmentBuilder::SpineRadius | ( | ) |
Returns the spine radius, used by Die::TrimLineDevelopmentBuilder::CreateDefaultSpine
Created in NX6.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Die::TrimLineDevelopmentBuilder::Thickness | ( | ) |
Returns the material thickness.
Value should be greater than zero.
Created in NX6.0.0.
License requirements : None